cppcms::json::traits< T > Struct Template Reference

The type traits schema for converting json values to/from orinary objects i.e. serialization from JSON to C++ object. More...

`#include <cppcms/json.h>`

## Static Public Member Functions

static T | get (value const &v)
static void | set (value &v, T const &in)

## Detailed Description

### template<typename T>
struct cppcms::json::traits< T >

The type traits schema for converting json values to/from orinary objects i.e. serialization from JSON to C++ object.

## Member Function Documentation

template<typename T >

static T cppcms::json::traits< T >::get | ( | value const & | v | ) |

static

Convert json value v to an object of type T and return it

Referenced by cppcms::json::value::get_value().

template<typename T >

static void cppcms::json::traits< T >::set | ( | value & | v,
|  | T const & | in
| ) |  |

static

Convert an object in to a json::value v

Referenced by cppcms::json::value::set_value().

The documentation for this struct was generated from the following file:

- cppcms/json.h